--- base/file_util_linux.cc
+++ base/file_util_linux.cc
@@ -25,7 +25,11 @@ bool GetTempDir(FilePath* path) {
 }
 
 bool GetShmemTempDir(FilePath* path) {
+#if defined(OS_LINUX)
   *path = FilePath("/dev/shm");
+#else
+  *path = FilePath("/tmp");
+#endif
   return true;
 }
 
diff --git base/file_util_posix.cc base/file_util_posix.cc
index a269d3f..902ccca 100644
